Bug 806670 - Review Request: jcifs - Common Internet File System Client in 100% Java
Summary: Review Request: jcifs - Common Internet File System Client in 100% Java
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 806674 806675 (view as bug list)
Depends On:
Blocks: 809950
TreeView+ depends on / blocked
 
Reported: 2012-03-25 22:12 UTC by gil cattaneo
Modified: 2012-05-04 23:07 UTC (History)
5 users (show)

Fixed In Version: jcifs-1.3.17-3.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-27 05:59:08 UTC
Type: ---
mgoldman: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2012-03-25 22:12:14 UTC
Spec URL: http://gil.fedorapeople.org/jcifs.spec
SRPM URL: http://gil.fedorapeople.org/jcifs-1.3.17-1.fc16.src.rpm
Description: The jCIFS SMB client library enables any Java application to remotely
access shared files and directories on SMB file servers(i.e. a Microsoft
Windows "share") in addition to domain, workgroup, and server
enumeration of NetBIOS over TCP/IP networks. It is an advanced
implementation of the CIFS protocol supporting Unicode, batching,
multiplexing of threaded callers, encrypted authentication,
transactions, the Remote Access Protocol (RAP), and much more. It is
licensed under LGPL which means commercial organizations can
legitimately use it with their proprietary code(you just can't sell or
give away a modified binary only version of the library itself without
reciprocation).

Comment 1 Robin Lee 2012-03-26 02:02:31 UTC
Don't file multiple requests.

Comment 2 Robin Lee 2012-03-26 02:02:59 UTC
*** Bug 806674 has been marked as a duplicate of this bug. ***

Comment 3 Robin Lee 2012-03-26 02:03:05 UTC
*** Bug 806675 has been marked as a duplicate of this bug. ***

Comment 4 gil cattaneo 2012-04-10 18:47:48 UTC
builds correctly http://koji.fedoraproject.org/koji/taskinfo?taskID=3977473

Comment 6 Marek Goldmann 2012-04-18 06:29:49 UTC
I'll take a look at it.

Comment 7 Marek Goldmann 2012-04-18 07:13:45 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:

$ rpmlint SPECS/jcifs.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/jcifs-1.3.17-1.fc17.src.rpm jcifs.src: I: enchant-dictionary-not-found en_US
jcifs.src: W: invalid-license LGPL
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
$ rpmlint RPMS/noarch/jcifs-1.3.17-1.fc17.noarch.rpm 
jcifs.noarch: I: enchant-dictionary-not-found en_US
jcifs.noarch: W: invalid-license LGPL
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Invalid license, see #1.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.
License type: LGPLv2+

See #1.

[!]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

See #2.

[!]  All independent sub-packages have license of their own

See #2.

[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 17883a896bf93e5942eb781a66ba4b7a
MD5SUM upstream package: 17883a896bf93e5942eb781a66ba4b7a
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[!]  Javadoc subpackages have Require: jpackage-utils

See # 3.

[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4000880

=== Issues ===
1. License is invalid. Is LGPL, should be: LGPLv2+
2. Please add LICENSE.txt file to main package and subpackages as %doc.
3. Please add Require: jpackage-utils to javadoc subpackage.

Comment 8 gil cattaneo 2012-04-18 11:09:58 UTC
Spec URL: http://gil.fedorapeople.org/jcifs.spec
SRPM URL: http://gil.fedorapeople.org/jcifs-1.3.17-2.fc16.src.rpm
- fixed license field
- add LICENSE.txt file to main package and subpackages
- add Requires: jpackage-utils to javadoc subpackage

Comment 9 Marek Goldmann 2012-04-18 11:38:39 UTC
I see you made a lot of additional changes besides fixing required bits. I'm going to re-review it one more time.

Comment 10 gil cattaneo 2012-04-18 11:51:15 UTC
Spec URL: http://gil.fedorapeople.org/jcifs.spec
SRPM URL: http://gil.fedorapeople.org/jcifs-1.3.17-3.fc16.src.rpm
- remove maven build method

Comment 11 Marek Goldmann 2012-04-18 12:07:06 UTC
Tested on http://koji.fedoraproject.org/koji/taskinfo?taskID=4001398

Looks good now.

================
*** APPROVED ***
================

Comment 12 gil cattaneo 2012-04-18 12:12:32 UTC
New Package SCM Request
=======================
Package Name: jcifs
Short Description: Common Internet File System Client in 100% Java
Owners: gil cattaneo
Branches: f16 f17
InitialCC: java-sig

Comment 13 gil cattaneo 2012-04-18 12:18:27 UTC
New Package SCM Request
=======================
Package Name: jcifs
Short Description: Common Internet File System Client in 100% Java
Owners: gil
Branches: f16 f17
InitialCC: java-sig

Comment 14 Gwyn Ciesla 2012-04-18 12:23:51 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2012-04-18 13:52:14 UTC
jcifs-1.3.17-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jcifs-1.3.17-3.fc16

Comment 16 Fedora Update System 2012-04-18 13:57:35 UTC
jcifs-1.3.17-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jcifs-1.3.17-3.fc17

Comment 17 Fedora Update System 2012-04-18 22:10:58 UTC
jcifs-1.3.17-3.fc17 has been pushed to the Fedora 17 testing repository.

Comment 18 Fedora Update System 2012-04-27 05:59:08 UTC
jcifs-1.3.17-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-05-04 23:07:20 UTC
jcifs-1.3.17-3.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.